## sigil 1.6.0+dfsg

=== CMakeLists.txt ===
########################################################
#  
#  This is a CMake configuration file.
#  To use it you need CMake which can be 
#  downloaded from here: 
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0 ) 

project( Sigil )

# Need CMAKE 3.18+ to make full use of new FindPython3
# with the Development.Embed submodule.
set( RECENT_CMAKE_VER "3.18.1" )
if ( NOT DEFINED TRY_NEWER_FINDPYTHON3 )
    set ( TRY_NEWER_FINDPYTHON3 0 )
endif()

if (${CMAKE_VERSION} VERSION_GREATER_EQUAL ${RECENT_CMAKE_VER} AND ${TRY_NEWER_FINDPYTHON3})
    set ( USE_NEWER_FINDPYTHON3 1 )
else()
    set ( USE_NEWER_FINDPYTHON3 0 )
endif()

set( CMAKE_DEBUG_POSTFIX "d" )
# Avoid the whole Release/Debug folder creation with Visual Studio
if (MSVC_IDE)
   set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/bin")
   set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/bin")
   set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/lib")
   set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/lib")
   set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/lib")
   set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/lib")
endif()
set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin )
set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
set( PACKAGE_DIRECTORY ${PROJECT_BINARY_DIR}/package )
set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )

set( SIGIL_MAJOR_VERSION 1 )
set( SIGIL_MINOR_VERSION 6 )
set( SIGIL_REVISION_VERSION 0 )
set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )

if( UNIX AND NOT APPLE )
   include(GNUInstallDirs)

   # Make sure the correct rpath is set for the sigil executable
   # on Linux -- for both the build and the installed versions.
   # Needed to make sure the installed shared hunspell and gumbo
   # libraries are found/used at runtime.

   # use, i.e. don't skip the full RPATH for the build tree
   SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

   # when building, don't use the install RPATH already
   # (but later on when installing)
   SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}/sigil")

   # add the automatically determined parts of the RPATH
   # which point to directories outside the build tree to the install RPATH.
   # This will ensure the Qt5 lib directory is always included after install.
   SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif()

# Check if platform is 64 bit
if( NOT APPLE )
   if( CMAKE_SIZEOF_VOID_P EQUAL 4 )
     set( 64_BIT_PLATFORM 0 )
   else()
     set( 64_BIT_PLATFORM 1 )
   endif()
endif()

# Profiler configuration for GCC
if( CMAKE_COMPILER_IS_GNUCXX  )
    set( CMAKE_BUILD_TYPE profiling )
    set( CMAKE_CXX_FLAGS_PROFILING "-O2 -DNDEBUG -pg -g -fno-omit-frame-pointer -fno-inline-functions -fno-inline-functions-called-once -fno-optimize-sibling-calls" )

    # After creating the new build type,
    # we clear the default back to empty
    set( CMAKE_BUILD_TYPE  )
endif()

if (USE_SYSTEM_LIBS)
    MESSAGE(STATUS "Trying to use System Libraries...")
    find_package( ZLIB )
    find_package( PkgConfig )
    find_package( MiniZip )
    pkg_check_modules( HUNSPELL hunspell )
    if ( NOT APPLE )
        pkg_check_modules( PCRE libpcre16 )
    endif()
endif()

message(STATUS "CMake version in use: ${CMAKE_VERSION}")

if (${USE_NEWER_FINDPYTHON3})
    message(STATUS "Using newer findpython3 cmake module")
    if ( APPLE )
        find_package(Python3 3.8 COMPONENTS Interpreter Development)
    endif()
    if ( WIN32 )
        find_package(Python3 3.5 COMPONENTS Interpreter Development)
    endif()
    if( UNIX AND NOT APPLE )
        find_package(Python3 3.4 COMPONENTS Interpreter Development)
    endif()
else()
    message(STATUS "Using older findpython cmake module")
    if ( APPLE )
        find_package(PythonInterp 3.8)
        find_package (PythonLibs 3.8)
    endif()
    if ( WIN32 )
        find_package(PythonInterp 3.5)
        find_package (PythonLibs 3.5)
    endif()
    if( UNIX AND NOT APPLE )
        find_package(PythonInterp 3.4)
        find_package (PythonLibs 3.4)
    endif()
endif()

# gumbo-parser it is our main xhtml/html5 parser.
# We have an internal version because it diverges from Google's and GitHub's
# versions and neither want's our epub specific changes.
add_subdirectory( internal/gumbo )

add_subdirectory( 3rdparty/ )
add_subdirectory( src/ )

=== src/CMakeLists.txt ===
########################################################
#
#  This is a CMake configuration file.
#  To use it you need CMake which can be
#  downloaded from here:
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0.0 )

#############################################################################

# Print a message and fail for people who don't
# read the build instructions and then complain
# when the build process fails for them.
if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
    message( FATAL_ERROR "You are trying to run CMake from the <top_folder>/src/ directory, "
                         "instead of just from the <top_folder> directory.\nDO NOT DO THIS.\n"
                         "The correct way looks like this:\n"
                         "  cmake -G '<generator_name>' /path/to/topmost/folder/in/source/package\n"
                         "You will probably now need to first clean your build directory." )
endif()

#############################################################################

# We use the lower case name
# on UNIX systems other than Mac OS X
if ( WIN32 OR APPLE )
    project( Sigil )
else()
    project( sigil )
endif()

#############################################################################

if (NOT MSVC)
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
    if(COMPILER_SUPPORTS_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    elseif(COMPILER_SUPPORTS_CXX0X)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
        # Give gcc compilers that fall through the cracks a shot.
        if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fpermissive")
            message("-- fpermissive CXX flag being used for gcc ${CMAKE_CXX_COMPILER_VERSION}")
        endif()
    else()
        message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
    endif()
endif()

#############################################################################

# quiet Qt 5.15 deprecat4ed warnings for now as we must support Qt 5.12.X and even earlier
add_definitions(-DQT_NO_DEPRECATED_WARNINGS)

if( UNIX AND NOT APPLE )
    # Qt5 packages minimum version 5.9 for Linux
    set(QT5_NEEDED 5.9)
else()
    # Qt5 packages minimum version 5.12 for Mac/Windows
    set(QT5_NEEDED 5.12)
endif()

set( PKGS_TO_FIND Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools )
if ( WIN32 )
    list( APPEND PKGS_TO_FIND WinExtras )
    if ( USE_ALT_ICONS )
        set(APP_ICON_PATH "${CMAKE_SOURCE_DIR}/src/Resource_Files/icon/app_icons_alt/app.ico" )
    else()
        set(APP_ICON_PATH "${CMAKE_SOURCE_DIR}/src/Resource_Files/icon/app_icons_orig/app.ico" )
    endif()
endif()
find_package( Qt5 ${QT5_NEEDED} COMPONENTS ${PKGS_TO_FIND} )

set(CMAKE_AUTOMOC ON)

set( MAIN_FILES
    sigil_constants.h
    sigil_constants.cpp
    sigil_exception.h
    main.cpp
    )

set( BOOK_MANIPULATION_FILES
    BookManipulation/Book.cpp
    BookManipulation/Book.h
    BookManipulation/BookReports.cpp
    BookManipulation/BookReports.h
    BookManipulation/Index.cpp
    BookManipulation/Index.h
    BookManipulation/CleanSource.cpp
    BookManipulation/CleanSource.h
    BookManipulation/FolderKeeper.cpp
    BookManipulation/FolderKeeper.h
    BookManipulation/Headings.cpp
    BookManipulation/Headings.h
    BookManipulation/HTMLMetadata.cpp
    BookManipulation/HTMLMetadata.h
    BookManipulation/XhtmlDoc.cpp
    BookManipulation/XhtmlDoc.h
    )

set( RESOURCE_OBJECT_FILES
    ResourceObjects/Resource.cpp
    ResourceObjects/Resource.h
    ResourceObjects/TextResource.cpp
    ResourceObjects/TextResource.h
    ResourceObjects/HTMLResource.cpp
    ResourceObjects/HTMLResource.h
    ResourceObjects/CSSResource.cpp
    ResourceObjects/CSSResource.h
    ResourceObjects/ImageResource.cpp
    ResourceObjects/ImageResource.h
    ResourceObjects/AudioResource.cpp
    ResourceObjects/AudioResource.h
    ResourceObjects/VideoResource.cpp
    ResourceObjects/VideoResource.h
    ResourceObjects/MiscTextResource.cpp
    ResourceObjects/MiscTextResource.h
    ResourceObjects/SVGResource.cpp
    ResourceObjects/SVGResource.h
    ResourceObjects/FontResource.cpp
    ResourceObjects/FontResource.h
    ResourceObjects/OPFParser.cpp
    ResourceObjects/OPFParser.h
    ResourceObjects/OPFResource.cpp
    ResourceObjects/OPFResource.h
    ResourceObjects/NavProcessor.cpp
    ResourceObjects/NavProcessor.h
    ResourceObjects/NCXResource.cpp
    ResourceObjects/NCXResource.h
    ResourceObjects/XMLResource.cpp
    ResourceObjects/XMLResource.h
    )

set( DIALOG_FILES
    Dialogs/About.cpp
    Dialogs/About.h
    Dialogs/AddSemantics.cpp
    Dialogs/AddSemantics.h
    Dialogs/AddMetadata.cpp
    Dialogs/AddMetadata.h
    Dialogs/ClipboardHistorySelector.h
    Dialogs/ClipboardHistorySelector.cpp
    Dialogs/DeleteFiles.cpp
    Dialogs/DeleteFiles.h
    Dialogs/DeleteStyles.cpp
    Dialogs/DeleteStyles.h
    Dialogs/EditTOC.cpp
    Dialogs/EditTOC.h
    Dialogs/EmptyLayout.cpp
    Dialogs/EmptyLayout.h
    Dialogs/ManageRepos.cpp
    Dialogs/ManageRepos.h
    Dialogs/OpenWithName.cpp
    Dialogs/OpenWithName.h
    Dialogs/RepoLog.cpp
    Dialogs/RepoLog.h
    Dialogs/ChgViewer.cpp
    Dialogs/ChgViewer.h
    Dialogs/SourceViewer.cpp
    Dialogs/SourceViewer.h
    Dialogs/ListSelector.h
    Dialogs/CPCompare.cpp
    Dialogs/CPCompare.h
    Dialogs/RERenamer.cpp
    Dialogs/RERenamer.h
    Dialogs/RETable.cpp
    Dialogs/RETable.h
    Dialogs/SelectCharacter.cpp
    Dialogs/SelectCharacter.h
    Dialogs/SelectCheckpoint.cpp
    Dialogs/SelectCheckpoint.h
    Dialogs/SelectFolder.cpp
    Dialogs/SelectFolder.h
    Dialogs/SelectHyperlink.cpp
    Dialogs/SelectHyperlink.h
    Dialogs/SelectId.cpp
    Dialogs/SelectId.h
    Dialogs/SelectIndexTitle.cpp
    Dialogs/SelectIndexTitle.h
    Dialogs/SelectFiles.cpp
    Dialogs/SelectFiles.h
    Dialogs/MetaEditor.cpp
    Dialogs/MetaEditor.h
    Dialogs/TreeItem.cpp
    Dialogs/TreeItem.h
    Dialogs/TreeModel.cpp
    Dialogs/TreeModel.h
    Dialogs/MetaEditorItemDelegate.cpp
    Dialogs/MetaEditorItemDelegate.h
    Dialogs/HeadingSelector.cpp
    Dialogs/HeadingSelector.h
    Dialogs/PluginRunner.cpp
    Dialogs/PluginRunner.h
    Dialogs/Preferences.cpp
    Dialogs/Preferences.h
    Dialogs/PreferenceWidgets/AppearanceWidget.cpp
    Dialogs/PreferenceWidgets/AppearanceWidget.h
    Dialogs/PreferenceWidgets/GeneralSettingsWidget.cpp
    Dialogs/PreferenceWidgets/GeneralSettingsWidget.h
    Dialogs/PreferenceWidgets/KeyboardShortcutsWidget.cpp
    Dialogs/PreferenceWidgets/KeyboardShortcutsWidget.h
    Dialogs/PreferenceWidgets/LanguageWidget.cpp
    Dialogs/PreferenceWidgets/LanguageWidget.h
    Dialogs/PreferenceWidgets/PreferencesWidget.h
    Dialogs/PreferenceWidgets/SpellCheckWidget.cpp
    Dialogs/PreferenceWidgets/SpellCheckWidget.h
    Dialogs/PreferenceWidgets/PreserveEntitiesWidget.cpp
    Dialogs/PreferenceWidgets/PreserveEntitiesWidget.h
    Dialogs/PreferenceWidgets/PluginWidget.cpp
    Dialogs/PreferenceWidgets/PluginWidget.h
    Dialogs/RenameTemplate.cpp
    Dialogs/RenameTemplate.h
    Dialogs/Reports.cpp
    Dialogs/Reports.h
    Dialogs/ReportsWidgets/AllFilesWidget.cpp
    Dialogs/ReportsWidgets/AllFilesWidget.h
    Dialogs/ReportsWidgets/HTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/HTMLFilesWidget.h
    Dialogs/ReportsWidgets/LinksWidget.cpp
    Dialogs/ReportsWidgets/LinksWidget.h
    Dialogs/ReportsWidgets/ImageFilesWidget.cpp
    Dialogs/ReportsWidgets/ImageFilesWidget.h
    Dialogs/ReportsWidgets/CSSFilesWidget.cpp
    Dialogs/ReportsWidgets/CSSFilesWidget.h
    Dialogs/ReportsWidgets/ClassesInHTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/ClassesInHTMLFilesWidget.h
    Dialogs/ReportsWidgets/StylesInCSSFilesWidget.cpp
    Dialogs/ReportsWidgets/StylesInCSSFilesWidget.h
    Dialogs/ReportsWidgets/CharactersInHTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/CharactersInHTMLFilesWidget.h
    Dialogs/ReportsWidgets/ReportsWidget.h
    Dialogs/LinkStylesheets.cpp
    Dialogs/LinkStylesheets.h
    Dialogs/SearchEditor.cpp
    Dialogs/SearchEditor.h
    Dialogs/Controls.cpp
    Dialogs/Controls.h
    Dialogs/SearchEditorItemDelegate.cpp
    Dialogs/SearchEditorItemDelegate.h
    Dialogs/ClipEditor.cpp
    Dialogs/ClipEditor.h
    Dialogs/IndexEditor.cpp
    Dialogs/IndexEditor.h
    Dialogs/SpellcheckEditor.cpp
    Dialogs/SpellcheckEditor.h
    Dialogs/ViewImage.cpp
    Dialogs/ViewImage.h
    Dialogs/ViewAV.cpp
    Dialogs/ViewAV.h
    Dialogs/ViewFont.cpp
    Dialogs/ViewFont.h
    Dialogs/Inspector.cpp
    Dialogs/Inspector.h
    )

set( WIDGET_FILES
    Widgets/ImageView.cpp
    Widgets/ImageView.h
    Widgets/AVView.cpp
    Widgets/AVView.h
    Widgets/FontView.cpp
    Widgets/FontView.h
    Widgets/Navigator.h
    Widgets/Navigator2.h
    Widgets/TextView.cpp
    Widgets/TextView.h
    Widgets/TextDocument.h
    Widgets/TextDocument.cpp
    Widgets/TVLineNumberArea.cpp
    Widgets/TVLineNumberArea.h
    )

set( EXPORTER_FILES
    Exporters/ExportEPUB.cpp
    Exporters/ExportEPUB.h
    Exporters/Exporter.h
    Exporters/ExporterFactory.cpp
    Exporters/ExporterFactory.h
    Exporters/NCXWriter.cpp
    Exporters/NCXWriter.h
    Exporters/XMLWriter.cpp
    Exporters/XMLWriter.h
    Exporters/EncryptionXmlWriter.cpp
    Exporters/EncryptionXmlWriter.h
    )

set( IMPORTER_FILES
    Importers/ImportEPUB.cpp
    Importers/ImportEPUB.h
    Importers/Importer.cpp
    Importers/Importer.h
    Importers/ImporterFactory.cpp
    Importers/ImporterFactory.h
    Importers/ImportHTML.cpp
    Importers/ImportHTML.h
    Importers/ImportTXT.cpp
    Importers/ImportTXT.h
    )

set ( QUERY_FILES
    Query/CNode.cpp
    Query/CNode.h
    Query/CObject.cpp
    Query/CObject.h
    Query/CParser.cpp
    Query/CParser.h
    Query/CQueryUtil.cpp
    Query/CQueryUtil.h
    Query/CSelection.cpp
    Query/CSelection.h
    Query/CSelector.cpp
    Query/CSelector.h
    )


set( PARSERS_FILES
    Parsers/CSSInfo.cpp
    Parsers/CSSInfo.h
    Parsers/HTMLStyleInfo.cpp
    Parsers/HTMLStyleInfo.h
    Parsers/qCSSParser.cpp
    Parsers/qCSSParser.h
    Parsers/qCSSUtils.cpp
    Parsers/qCSSUtils.h
    Parsers/qCSSProperties.cpp
    Parsers/qCSSProperties.h
    Parsers/GumboInterface.h
    Parsers/GumboInterface.cpp
    Parsers/TagAtts.cpp
    Parsers/TagAtts.h
    Parsers/QuickParser.cpp
    Parsers/QuickParser.h
    Parsers/TagLister.cpp
    Parsers/TagLister.h
   )

set( EMBEDPYTHON_FILES
    EmbedPython/DiffRec.h
    EmbedPython/PyObjectPtr.h
    EmbedPython/PyObjectPtr.cpp
    EmbedPython/EmbeddedPython.h
    EmbedPython/EmbeddedPython.cpp
    EmbedPython/PythonRoutines.h
    EmbedPython/PythonRoutines.cpp
    )

set( MISC_FILES
    Misc/AppEventFilter.cpp
    Misc/AppEventFilter.h
    Misc/AsciiFy.cpp
    Misc/AsciiFy.h
    Misc/UpdateChecker.cpp
    Misc/UpdateChecker.h
    Misc/URLInterceptor.cpp
    Misc/URLInterceptor.h
    Misc/URLSchemeHandler.cpp
    Misc/URLSchemeHandler.h
    Misc/Utility.cpp
    Misc/Utility.h
    Misc/SleepFunctions.h
    Misc/FindReplaceQLineEdit.cpp
    Misc/FindReplaceQLineEdit.h
    Misc/FilenameDelegate.cpp
    Misc/FilenameDelegate.h
    Misc/XHTMLHighlighter.cpp
    Misc/XHTMLHighlighter.h
    Misc/XHTMLHighlighter2.cpp
    Misc/XHTMLHighlighter2.h
    Misc/CSSHighlighter.cpp
    Misc/CSSHighlighter.h
    Misc/HTMLEncodingResolver.cpp
    Misc/HTMLEncodingResolver.h
    Misc/HTMLSpellCheck.cpp
    Misc/HTMLSpellCheck.h
    Misc/HTMLSpellCheckML.cpp
    Misc/HTMLSpellCheckML.h
    Misc/PasteTargetComboBox.cpp
    Misc/PasteTargetComboBox.h
    Misc/PasteTarget.h
    Misc/Plugin.cpp
    Misc/Plugin.h
    Misc/PluginDB.cpp

=== debian/changelog ===
sigil (1.6.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.6.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.6.0
  * Update copyright.
  * Add Recommends on python3-pyqtwebengine.
  * Build with the new flag -DDISABLE_UPDATECHECK=1 to prevent sigil
    from checking for updates online.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 May 2021 18:54:42 +0200

sigil (1.5.1+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.1+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.5.1
  * Update copyright.
  * Fixup watchfile match for the changed github URLs.
  * Build-Depend on dh-sequence-python3 and drop --with python3 from d/rules.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 17 Apr 2021 20:40:04 +0200

=== debian/control ===
Source: sigil
Section: editors
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake (>= 3.0.0),
 debhelper-compat (= 13),
 dh-sequence-python3,
 libhunspell-dev,
 libjs-jquery,
 libjs-jquery-scrollto,
 libminizip-dev,
 libpcre3-dev (>= 2:8.35-4),
 pkg-config,
 python3-dev,
 qtbase5-dev (>= 5.9.4),
 qttools5-dev (>= 5.9.4),
 qttools5-dev-tools (>= 5.9.4),
 qtwebengine5-dev (>= 5.9.4),
 zlib1g-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://sigil-ebook.com
Vcs-Git: https://salsa.debian.org/debian/sigil.git
Vcs-Browser: https://salsa.debian.org/debian/sigil

Package: sigil
Architecture: any
Depends:
 libhunspell-dev,
 libjs-jquery-scrollto,
 libjs-mathjax (>= 2.7.0),
 python3-dulwich (>= 0.19),
 python3-lxml,
 sigil-data (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3,
 python3-chardet,
 python3-css-parser,
 python3-cssselect,
 python3-cssutils,
 python3-html5lib,
 python3-pil,
 python3-pyqt5,
 python3-pyqtwebengine,
 python3-regex,
 python3-six,
Suggests:
 pageedit,
Description: multi-platform ebook editor
 Sigil is a free, open source, multi-platform ebook editor.
 It is designed to edit books in ePub format.
 .
 Features:
 .
  * Full UTF-16 support;
  * Full EPUB 2 spec support;
  * Multiple Views: Book View, Code View and Preview View;
  * WYSIWYG editing in Book View;
  * Complete control over directly editing EPUB syntax in Code View;
  * Table of Contents generator with multi-level heading support;
  * Metadata editor with full support for all possible metadata entries (more
    than 200) with full descriptions for each;
  * User interface translated into many languages;
  * Spell checking with default and user configurable dictionaries;
  * Full Regular Expression (PCRE) support for Find & Replace;
  * Supports import of EPUB and HTML files, images, and style sheets;
  * Files can be validated for EPUB compliance with the FlightCrew validator;
  * HTML Tidy: all imported files have their formatting corrected, and your
    editing can be optionally cleaned.

Package: sigil-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 sigil (= ${source:Version}),
Description: multi-platform ebook editor - data files
 Sigil is a free, open source, multi-platform ebook editor.
 It is designed to edit books in ePub format.
 .
 Features:
 .
  * Full UTF-16 support;
  * Full EPUB 2 spec support;
  * Multiple Views: Book View, Code View and Preview View;
  * WYSIWYG editing in Book View;
  * Complete control over directly editing EPUB syntax in Code View;
  * Table of Contents generator with multi-level heading support;
  * Metadata editor with full support for all possible metadata entries (more
    than 200) with full descriptions for each;
  * User interface translated into many languages;
  * Spell checking with default and user configurable dictionaries;
  * Full Regular Expression (PCRE) support for Find & Replace;
  * Supports import of EPUB and HTML files, images, and style sheets;
  * Files can be validated for EPUB compliance with the FlightCrew validator;
  * HTML Tidy: all imported files have their formatting corrected, and your
    editing can be optionally cleaned.
 .
 This package provides the architecture-independant files.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	ln -svf /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/src/Resource_Files/javascript/jquery-2.2.4.min.js
	ln -svf /usr/share/javascript/jquery-scrollto/jquery.scrollTo.min.js $(CURDIR)/src/Resource_Files/javascript/jquery.scrollTo-2.1.2-min.js
	dh_auto_configure -- \
		-DUSE_SYSTEM_LIBS=1 \
		-DDISABLE_UPDATECHECK=1 \
		-DSYSTEM_LIBS_REQUIRED=1 \
		-DINSTALL_BUNDLED_DICTS=0 \
		-DINSTALL_HICOLOR_ICONS=1 \
		-DMATHJAX_DIR=/usr/share/javascript/mathjax/ \

execute_before_dh_install:
	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/plugin_launchers/python/sigil_bs4/COPYING.txt

override_dh_python3:
	dh_python3 --no-ext-rename

## sigil 1.8.0%2Bdfsg

=== debian/changelog ===
sigil (1.8.0+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 31 Oct 2021 17:24:00 +0100

sigil (1.8.0+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.8.0+dfsg.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    * Build-Depends: Drop versioned constraint on cmake.
  * Use secure URI in Homepage field.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Oct 2021 21:21:26 +0200

sigil (1.7.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: Bump Standards-Version to 4.6.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Aug 2021 17:41:32 +0200

sigil (1.7.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.7.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.7.0
  * Fix the -DDISABLE_UPDATE_CHECK flag name.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 28 Jul 2021 14:46:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- cmake (>= 3.0.0),
+ cmake,
  debhelper-compat (= 13),
  dh-sequence-python3,
  libhunspell-dev,
@@ -18,9 +18,9 @@
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
  zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://sigil-ebook.com
+Homepage: https://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
 Vcs-Browser: https://salsa.debian.org/debian/sigil

## sigil 1.9.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
  libjs-jquery,
  libjs-jquery-scrollto,
  libminizip-dev,
- libpcre3-dev (>= 2:8.35-4),
+ libpcre2-dev,
  pkg-config,
  python3-dev,
- qtbase5-dev (>= 5.9.4),
- qttools5-dev (>= 5.9.4),
- qttools5-dev-tools (>= 5.9.4),
- qtwebengine5-dev (>= 5.9.4),
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ qtwebengine5-dev,
  zlib1g-dev,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
@@ -29,8 +29,8 @@
 Depends:
  libhunspell-dev,
  libjs-jquery-scrollto,
- libjs-mathjax (>= 2.7.0),
- python3-dulwich (>= 0.19),
+ libjs-mathjax,
+ python3-dulwich,
  python3-lxml,
  sigil-data (= ${source:Version}),
  ${misc:Depends},

=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpsigurlmangle=s|archive/(?:.*?/)([\d\.]+).tar\.gz|releases/download/$1/Sigil-$1.tar.gz.sig|,\
repacksuffix=+dfsg \
https://github.com/Sigil-Ebook/Sigil/releases (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## sigil 1.9.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,22 @@
 set( RECENT_CMAKE_VER "3.18.1" )
 if ( NOT DEFINED TRY_NEWER_FINDPYTHON3 )
     set ( TRY_NEWER_FINDPYTHON3 0 )
+endif()
+
+# Set Inno minimum Windows version 
+if ( NOT DEFINED BUILD_FOR_WIN7 )
+    # Windows 8.0
+    set( BUILD_FOR_WIN7 0 )
+    set ( WIN_MIN_VERSION 6.2.9200 )
+else()
+    # Windows 7sp1
+    set ( WIN_MIN_VERSION 6.1.7601 )
+endif()
+
+# Default to using Qt5 for builds
+# Enable Qt6 with -DUSEQT6=1 in cmake config command
+if ( NOT DEFINED USE_QT6 )
+    set( USE_QT6 0 )
 endif()
 
 if (${CMAKE_VERSION} VERSION_GREATER_EQUAL ${RECENT_CMAKE_VER} AND ${TRY_NEWER_FINDPYTHON3})
@@ -41,8 +57,8 @@
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )
 
 set( SIGIL_MAJOR_VERSION 1 )
-set( SIGIL_MINOR_VERSION 6 )
-set( SIGIL_REVISION_VERSION 0 )
+set( SIGIL_MINOR_VERSION 9 )
+set( SIGIL_REVISION_VERSION 2 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
@@ -94,7 +110,7 @@
     find_package( MiniZip )
     pkg_check_modules( HUNSPELL hunspell )
     if ( NOT APPLE )
-        pkg_check_modules( PCRE libpcre16 )
+        pkg_check_modules( PCRE2 libpcre2-16 )
     endif()
 endif()
 
@@ -103,7 +119,7 @@
 if (${USE_NEWER_FINDPYTHON3})
     message(STATUS "Using newer findpython3 cmake module")
     if ( APPLE )
-        find_package(Python3 3.8 COMPONENTS Interpreter Development)
+        find_package(Python3 3.9 COMPONENTS Interpreter Development)
     endif()
     if ( WIN32 )
         find_package(Python3 3.5 COMPONENTS Interpreter Development)
@@ -114,8 +130,8 @@
 else()
     message(STATUS "Using older findpython cmake module")
     if ( APPLE )
-        find_package(PythonInterp 3.8)
-        find_package (PythonLibs 3.8)
+        find_package(PythonInterp 3.9)
+        find_package (PythonLibs 3.9)
     endif()
     if ( WIN32 )
         find_package(PythonInterp 3.5)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,6 @@
 #
 #########################################################
 
-cmake_minimum_required( VERSION 3.0.0 )
-
-#############################################################################
 
 # Print a message and fail for people who don't
 # read the build instructions and then complain
@@ -22,62 +19,7 @@
                          "You will probably now need to first clean your build directory." )
 endif()
 
-#############################################################################
-
-# We use the lower case name
-# on UNIX systems other than Mac OS X
-if ( WIN32 OR APPLE )
-    project( Sigil )
-else()
-    project( sigil )
-endif()
-
-#############################################################################
-
-if (NOT MSVC)
-    include(CheckCXXCompilerFlag)
-    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
-    CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
-    if(COMPILER_SUPPORTS_CXX11)
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-    elseif(COMPILER_SUPPORTS_CXX0X)
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
-        # Give gcc compilers that fall through the cracks a shot.
-        if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
-            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fpermissive")
-            message("-- fpermissive CXX flag being used for gcc ${CMAKE_CXX_COMPILER_VERSION}")
-        endif()
-    else()
-        message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
-    endif()
-endif()
-
-#############################################################################
-
-# quiet Qt 5.15 deprecat4ed warnings for now as we must support Qt 5.12.X and even earlier
-add_definitions(-DQT_NO_DEPRECATED_WARNINGS)
-
-if( UNIX AND NOT APPLE )
-    # Qt5 packages minimum version 5.9 for Linux
-    set(QT5_NEEDED 5.9)
-else()
-    # Qt5 packages minimum version 5.12 for Mac/Windows
-    set(QT5_NEEDED 5.12)
-endif()
-
-set( PKGS_TO_FIND Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools )
-if ( WIN32 )
-    list( APPEND PKGS_TO_FIND WinExtras )
-    if ( USE_ALT_ICONS )
-        set(APP_ICON_PATH "${CMAKE_SOURCE_DIR}/src/Resource_Files/icon/app_icons_alt/app.ico" )
-    else()
-        set(APP_ICON_PATH "${CMAKE_SOURCE_DIR}/src/Resource_Files/icon/app_icons_orig/app.ico" )
-    endif()
-endif()
-find_package( Qt5 ${QT5_NEEDED} COMPONENTS ${PKGS_TO_FIND} )
-
-set(CMAKE_AUTOMOC ON)
-
+# Source File Group Definitions
 set( MAIN_FILES
     sigil_constants.h
     sigil_constants.cpp
@@ -125,8 +67,6 @@
     ResourceObjects/SVGResource.h
     ResourceObjects/FontResource.cpp
     ResourceObjects/FontResource.h
-    ResourceObjects/OPFParser.cpp
-    ResourceObjects/OPFParser.h
     ResourceObjects/OPFResource.cpp
     ResourceObjects/OPFResource.h
     ResourceObjects/NavProcessor.cpp
@@ -185,6 +125,12 @@
     Dialogs/SelectIndexTitle.h
     Dialogs/SelectFiles.cpp
     Dialogs/SelectFiles.h
+    Dialogs/AddAutomateTool.cpp
+    Dialogs/AddAutomateTool.h
+    Dialogs/AddAutomatePlugin.cpp
+    Dialogs/AddAutomatePlugin.h
+    Dialogs/AutomateEditor.cpp
+    Dialogs/AutomateEditor.h
     Dialogs/MetaEditor.cpp
     Dialogs/MetaEditor.h
     Dialogs/TreeItem.cpp
@@ -237,6 +183,8 @@
     Dialogs/ReportsWidgets/ReportsWidget.h
     Dialogs/LinkStylesheets.cpp
     Dialogs/LinkStylesheets.h
+    Dialogs/LinkJavascripts.cpp
+    Dialogs/LinkJavascripts.h
     Dialogs/SearchEditor.cpp
     Dialogs/SearchEditor.h
     Dialogs/Controls.cpp
@@ -322,6 +270,8 @@
 set( PARSERS_FILES
     Parsers/CSSInfo.cpp
     Parsers/CSSInfo.h
+    Parsers/CSSToolbox.cpp
+    Parsers/CSSToolbox.h
     Parsers/HTMLStyleInfo.cpp
     Parsers/HTMLStyleInfo.h
     Parsers/qCSSParser.cpp
@@ -338,6 +288,8 @@
     Parsers/QuickParser.h
     Parsers/TagLister.cpp
     Parsers/TagLister.h
+    Parsers/OPFParser.cpp
+    Parsers/OPFParser.h
    )
 
 set( EMBEDPYTHON_FILES
@@ -386,3 +338,73 @@
     Misc/Plugin.cpp
     Misc/Plugin.h
     Misc/PluginDB.cpp
+    Misc/PluginDB.h
+    Misc/QCodePage437Codec.cpp
+    Misc/QCodePage437Codec.h
+    Misc/SearchOperations.cpp
+    Misc/SearchOperations.h
+    Misc/SigilDarkStyle.cpp
+    Misc/SigilDarkStyle.h
+    Misc/Language.cpp
+    Misc/Language.h
+    Misc/DescriptiveInfo.h
+    Misc/GuideItems.h
+    Misc/GuideItems.cpp
+    Misc/Landmarks.h
+    Misc/Landmarks.cpp
+    Misc/MarcRelators.cpp
+    Misc/MarcRelators.h
+    Misc/UILanguage.cpp
+    Misc/UILanguage.h
+    Misc/SettingsStore.cpp
+    Misc/SettingsStore.h
+    Misc/SpellCheck.cpp
+    Misc/SpellCheck.h
+    Misc/KeyboardShortcut.cpp
+    Misc/KeyboardShortcut.h
+    Misc/KeyboardShortcut_p.h
+    Misc/KeyboardShortcutManager.cpp
+    Misc/KeyboardShortcutManager.h
+    Misc/XhtmlEntitiesDtd.cpp
+    Misc/Ncx20051Dtd.cpp
+    Misc/FontObfuscation.cpp
+    Misc/FontObfuscation.h
+    Misc/TempFolder.cpp
+    Misc/TempFolder.h
+    Misc/OpenExternally.cpp
+    Misc/OpenExternally.h
+    Misc/TOCHTMLWriter.cpp
+    Misc/TOCHTMLWriter.h
+    Misc/NumericItem.h
+    Misc/LocaleAwareItem.h
+    Misc/ValidationResult.h
+    Misc/ValidationResult.cpp
+    Misc/WrapIndicator.h
+    Misc/XMLEntities.cpp
+    Misc/XMLEntities.h
+    Misc/MediaTypes.cpp
+    Misc/MediaTypes.h
+    )
+
+set( MISC_EDITORS_FILES
+    MiscEditors/ClipEditorModel.cpp
+    MiscEditors/ClipEditorModel.h
+    MiscEditors/ClipEditorTreeView.cpp
+    MiscEditors/ClipEditorTreeView.h
+    MiscEditors/IndexEditorModel.cpp
+    MiscEditors/IndexEditorModel.h
+    MiscEditors/IndexEditorTreeView.cpp
+    MiscEditors/IndexEditorTreeView.h
+    MiscEditors/IndexEntries.cpp
+    MiscEditors/IndexEntries.h
+    MiscEditors/IndexHTMLWriter.cpp
+    MiscEditors/IndexHTMLWriter.h
+    MiscEditors/SearchEditorTreeView.cpp
+    MiscEditors/SearchEditorTreeView.h
+    MiscEditors/SearchEditorModel.cpp
+    MiscEditors/SearchEditorModel.h
+    )
+
+set( SPCRE_FILES
+    PCRE2/SPCRE.cpp
+    PCRE2/SPCRE.h

=== debian/changelog ===
sigil (1.9.2+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.9.2+dfsg.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    + Build-Depends: Drop versioned constraint on qtbase5-dev, qttools5-dev,
      qttools5-dev-tools and qtwebengine5-dev.
    + sigil/Depends: Drop versioned constraint on libjs-mathjax,python3-dulwich.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Mar 2022 19:54:40 +0100

sigil (1.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.1+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 07 Mar 2022 12:22:41 +0100

sigil (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.0+dfsg.
  * d/copyright: Update.
  * d/control: Build against libpcre2.  Closes: #999963

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 28 Feb 2022 12:54:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	ln -svf /usr/share/javascript/jquery-scrollto/jquery.scrollTo.min.js $(CURDIR)/src/Resource_Files/javascript/jquery.scrollTo-2.1.2-min.js
 	dh_auto_configure -- \
 		-DUSE_SYSTEM_LIBS=1 \
-		-DDISABLE_UPDATECHECK=1 \
+		-DDISABLE_UPDATE_CHECK=1 \
 		-DSYSTEM_LIBS_REQUIRED=1 \
 		-DINSTALL_BUNDLED_DICTS=0 \
 		-DINSTALL_HICOLOR_ICONS=1 \

## sigil 1.9.10+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 set( SIGIL_MAJOR_VERSION 1 )
 set( SIGIL_MINOR_VERSION 9 )
-set( SIGIL_REVISION_VERSION 2 )
+set( SIGIL_REVISION_VERSION 10 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )

=== debian/changelog ===
sigil (1.9.10+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jun 2022 11:12:46 -0700

sigil (1.9.10+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.10+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.9.10
  * Bump Standards-Version to 4.6.1, no chnages needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 May 2022 17:27:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: sigil
 Section: editors
 Priority: optional
-Maintainer: Mattia Rizzolo <mattia@debian.org>
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
- dh-sequence-python3,
- libhunspell-dev,
- libjs-jquery,
- libjs-jquery-scrollto,
- libminizip-dev,
- libpcre2-dev,
- pkg-config,
- python3-dev,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
- qtwebengine5-dev,
- zlib1g-dev,
-Standards-Version: 4.6.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               dh-sequence-python3,
+               libhunspell-dev,
+               libjs-jquery,
+               libjs-jquery-scrollto,
+               libminizip-dev,
+               libpcre2-dev,
+               pkg-config,
+               python3-dev,
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools,
+               qtwebengine5-dev,
+               zlib1g-dev
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
@@ -26,30 +26,28 @@
 
 Package: sigil
 Architecture: any
-Depends:
- libhunspell-dev,
- libjs-jquery-scrollto,
- libjs-mathjax,
- python3-dulwich,
- python3-lxml,
- sigil-data (= ${source:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Recommends:
- python3,
- python3-chardet,
- python3-css-parser,
- python3-cssselect,
- python3-cssutils,
- python3-html5lib,
- python3-pil,
- python3-pyqt5,
- python3-pyqtwebengine,
- python3-regex,
- python3-six,
-Suggests:
- pageedit,
+Depends: libhunspell-dev,
+         libjs-jquery-scrollto,
+         libjs-mathjax,
+         python3-dulwich,
+         python3-lxml,
+         sigil-data (= ${source:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+# the following are recommended by Debian, made explicit dependencies for MX
+            python3,
+            python3-chardet,
+            python3-css-parser,
+            python3-cssselect,
+            python3-cssutils,
+            python3-html5lib,
+            python3-pil,
+            python3-pyqt5,
+            python3-pyqtwebengine | python3-pyqt5.qtwebengine,
+            python3-regex,
+            python3-six
+Suggests: pageedit
 Description: multi-platform ebook editor
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.
@@ -75,10 +73,8 @@
 Package: sigil-data
 Architecture: all
 Multi-Arch: foreign
-Depends:
- ${misc:Depends},
-Recommends:
- sigil (= ${source:Version}),
+Depends: ${misc:Depends}
+Recommends: sigil (= ${source:Version})
 Description: multi-platform ebook editor - data files
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,6 @@
 
 override_dh_python3:
 	dh_python3 --no-ext-rename
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## sigil 1.9.20%2Bdfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -191,6 +191,14 @@
     Dialogs/Controls.h
     Dialogs/SearchEditorItemDelegate.cpp
     Dialogs/SearchEditorItemDelegate.h
+    Dialogs/CountsReport.cpp
+    Dialogs/CountsReport.h
+    Dialogs/DryRunReplace.cpp
+    Dialogs/DryRunReplace.h
+    Dialogs/ReplacementChooser.cpp
+    Dialogs/ReplacementChooser.h
+    Dialogs/StyledTextDelegate.cpp
+    Dialogs/StyledTextDelegate.h
     Dialogs/ClipEditor.cpp
     Dialogs/ClipEditor.h
     Dialogs/IndexEditor.cpp
@@ -398,13 +406,3 @@
     MiscEditors/IndexEntries.cpp
     MiscEditors/IndexEntries.h
     MiscEditors/IndexHTMLWriter.cpp
-    MiscEditors/IndexHTMLWriter.h
-    MiscEditors/SearchEditorTreeView.cpp
-    MiscEditors/SearchEditorTreeView.h
-    MiscEditors/SearchEditorModel.cpp
-    MiscEditors/SearchEditorModel.h
-    )
-
-set( SPCRE_FILES
-    PCRE2/SPCRE.cpp
-    PCRE2/SPCRE.h

## sigil 1.9.20+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 set( SIGIL_MAJOR_VERSION 1 )
 set( SIGIL_MINOR_VERSION 9 )
-set( SIGIL_REVISION_VERSION 10 )
+set( SIGIL_REVISION_VERSION 20 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
@@ -82,6 +82,9 @@
    # which point to directories outside the build tree to the install RPATH.
    # This will ensure the Qt5 lib directory is always included after install.
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+
+   # Because GCC's link time optimization is willfully choosing to suck.
+   add_compile_options(-fno-lto)
 endif()
 
 # Check if platform is 64 bit

=== 3rdparty/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(3rdparty)

# Note: All files in the cmake dir will be included as if they were in this file.
#       The paths in each .cmake file are relative to this directory not the
#       cmake directory.

IF(MSVC)
    add_definitions( /D_CRT_SECURE_NO_WARNINGS /DUNICODE /D_UNICODE )
ENDIF()

if( NOT USE_SYSTEM_LIBS OR NOT ZLIB_FOUND )
    MESSAGE(STATUS "Using Bundled ZLIB")
    include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/zlib.cmake)
else ()
    MESSAGE(STATUS "Using System ZLIB")
endif()

if( NOT USE_SYSTEM_LIBS OR NOT MINIZIP_FOUND )
    MESSAGE(STATUS "Using Bundled MiniZip")
    include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/minizip.cmake)
else ()
    MESSAGE(STATUS "Using System MiniZip")
endif()

if( NOT USE_SYSTEM_LIBS OR NOT HUNSPELL_FOUND )
    MESSAGE(STATUS "Using Bundled Hunspell")
    include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/hunspell.cmake)
else ()
    MESSAGE(STATUS "Using System Hunspell")
endif()

if( NOT USE_SYSTEM_LIBS OR NOT PCRE2_FOUND OR APPLE )
    MESSAGE(STATUS "Using Bundled PCRE2")
    include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/pcre2.cmake)
else ()
    MESSAGE(STATUS "Using System PCRE2")
endif()

if (SYSTEM_LIBS_REQUIRED)
    if (NOT ZLIB_FOUND OR NOT MINIZIP_FOUND OR NOT HUNSPELL_FOUND OR (NOT APPLE AND NOT PCRE2_FOUND))
        #if (NOT ZLIB_FOUND OR NOT MINIZIP_FOUND OR (NOT APPLE AND NOT PCRE2_FOUND))
        MESSAGE(FATAL_ERROR "Could not find all required system libraries...")
    endif()
endif()

if( (UNIX AND NOT APPLE) AND BUILD_PATCHED_LIBXML2 )
      include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/ext_libxml2.cmake)
endif()

=== debian/changelog ===
sigil (1.9.20+dfsg-2) unstable; urgency=medium

  * Relax the requirement on sigil-data's version dependency to accomodate for
    binNMUs.  Closes: #1028107
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Jan 2023 02:29:05 +0100

sigil (1.9.20+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.20+dfsg.
  * Stop excluding the embedded mathjax, now we need it as sigil requires
    MathJax 3.2.2+, which is nott packaged in Debian; see #950424.
  * Drop Depends on libjs-mathjax.
  * Add patch from upstream to fix build with python 3.11.
  * Update upstream signing key.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Dec 2022 01:55:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: sigil
 Section: editors
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               dh-sequence-python3,
-               libhunspell-dev,
-               libjs-jquery,
-               libjs-jquery-scrollto,
-               libminizip-dev,
-               libpcre2-dev,
-               pkg-config,
-               python3-dev,
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
-               qtwebengine5-dev,
-               zlib1g-dev
-Standards-Version: 4.6.1
+Maintainer: Mattia Rizzolo <mattia@debian.org>
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ libhunspell-dev,
+ libjs-jquery,
+ libjs-jquery-scrollto,
+ libminizip-dev,
+ libpcre2-dev,
+ pkg-config,
+ python3-dev,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ qtwebengine5-dev,
+ zlib1g-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
@@ -26,28 +26,30 @@
 
 Package: sigil
 Architecture: any
-Depends: libhunspell-dev,
-         libjs-jquery-scrollto,
-         libjs-mathjax,
-         python3-dulwich,
-         python3-lxml,
-         sigil-data (= ${source:Version}),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-# the following are recommended by Debian, made explicit dependencies for MX
-            python3,
-            python3-chardet,
-            python3-css-parser,
-            python3-cssselect,
-            python3-cssutils,
-            python3-html5lib,
-            python3-pil,
-            python3-pyqt5,
-            python3-pyqtwebengine | python3-pyqt5.qtwebengine,
-            python3-regex,
-            python3-six
-Suggests: pageedit
+Depends:
+ libhunspell-dev,
+ libjs-jquery-scrollto,
+ python3-dulwich,
+ python3-lxml,
+ sigil-data (<< ${source:Version}+),
+ sigil-data (>= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Recommends:
+ python3,
+ python3-chardet,
+ python3-css-parser,
+ python3-cssselect,
+ python3-cssutils,
+ python3-html5lib,
+ python3-pil,
+ python3-pyqt5,
+ python3-pyqtwebengine,
+ python3-regex,
+ python3-six,
+Suggests:
+ pageedit,
 Description: multi-platform ebook editor
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.
@@ -73,8 +75,10 @@
 Package: sigil-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: sigil (= ${source:Version})
+Depends:
+ ${misc:Depends},
+Recommends:
+ sigil (= ${source:Version}),
 Description: multi-platform ebook editor - data files
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,9 @@
 		-DSYSTEM_LIBS_REQUIRED=1 \
 		-DINSTALL_BUNDLED_DICTS=0 \
 		-DINSTALL_HICOLOR_ICONS=1 \
-		-DMATHJAX_DIR=/usr/share/javascript/mathjax/ \
 
 execute_before_dh_install:
 	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/plugin_launchers/python/sigil_bs4/COPYING.txt
 
 override_dh_python3:
 	dh_python3 --no-ext-rename
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
